#!/bin/bash
source /etc/ansiblepulldeploy/ansiblepulldeploy.conf

if [ "$on_repoupdate" = "true" ]; then
    ansible_pull_options="${ansible_pull_options} -o"
fi

if [ "$gpg_verify" = "true" ]; then
    ansible_pull_options="${ansible_pull_options} --verify-commit"
fi

if [ "$accept_host_key" = "true" ]; then
    ansible_pull_options="${ansible_pull_options} --accept-host-key"
fi

if [ "$deploy_key" != "" ]; then
    ansible_pull_options="${ansible_pull_options} --private-key $deploy_key"
fi

ansible_pull_command="ansible-pull ${ansible_pull_options} -U ${git_url}"

$ansible_pull_command

exit 0
